* data.do

capture confirm new file seniors.dta
if !c(rc) {
	webuse multistage, clear
	rename sex gender
	gen nseniors = 200 + int(500*uniform())
	label var nsenior "Stage 3 FPC"
	gen byte smoked = uniform() < .4
	label var smoked "indicator for smoked a cigarette"
	label define yesno 0 "no" 1 "yes"
	label values smoked yesno
	sort state county school gender
	by `:sortedby' : replace nseniors = nseniors[1]
	by `:sortedby' : gen expand = 5 if _n == 1
	expand expand
	drop expand
	svyset county [pw=sampwgt], strata(state) fpc(ncounties)	///
		|| school, fpc(nschools)				///
		|| _n, strata(gender) fpc(nseniors)
	save seniors
}

di "finished data.do"
